#!/bin/bash


export PATH
IFS=$'\n';

# Le repertoire ou vont se trouver les
# fichiers de l'audit
audit_dir="./files/";

# Les fichiers d'audit
audit_files="www.example1.com
www.example2.com";

# On set un timeout entre chaque requete
timeout=1;

# Adresse email du destinataire du mail
mail_dest="you@domain.tld";

# Si on a un fichier de conf on l'utilise
CONFFILE="./rspa.config"
[ -f $CONFFILE ] && source $CONFFILE



for c_file in $audit_files
do 
    for line in `cat $audit_dir/$c_file`
    do
        # On recupere le kw et la position
	kw=`echo $line |awk -F ";" '{print $1}'`;
	max_pos=`echo $line |awk -F ";" '{print $2}'`;
        # On va formater les kw pour la rechercher google
        # Todo => gestion des caracteres speciaux
	keyword=${kw// /+}
        # On attend entre chaque requete
	sleep $timeout
        # On lance la recherche pour le kw en question
	# jusqu'a la position definie
	report_for=`lynx -dump "http://www.google.fr/search?q="$keyword"&hl=fr&num="$max_pos"" | sed '/Web/,/sultats de recherche/d' | grep -e ""$c_file""`
	# Si on a pas de resultat, on cree une alerte
	if [ -z "$report_for" ]
	then
	    echo -e "!!! Alerte !!!<br/> Le mot cle <a href=\"http://www.google.fr/search?q="$keyword"&hl=fr&num=100\">\""$kw"\"</a> a une position superieure a "$max_pos" pour "$c_file"<br/>" >> mail_alert
	fi
    done
done

# On envoi un mail avec les alertes
# Si le fichier d'alertes existe bien sur
if [ -e "mail_alert" ]
then
    cat mail_alert | mail -a"Content-Type: text/html;" -s "Renardudezert Serp Position Alerter" $mail_dest
    # Et on delete le mail_alert qui ne sert plus a rien
    rm -rf mail_alert
fi
